close
Skip to main content
GET
/
v2
/
workflow
/
list-workflows
List workflows
curl --request GET \
  --url https://api.browseract.com/v2/workflow/list-workflows \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.browseract.com/v2/workflow/list-workflows"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.browseract.com/v2/workflow/list-workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "page": 1,
  "limit": 20,
  "items": [
    {
      "id": "wf_123456789",
      "name": "Price Monitor",
      "description": "Scrape product prices and export CSV.",
      "create_at": "2023-11-07T05:31:56Z",
      "publish_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_pages": 5,
  "total_count": 87
}
{
"code": 123,
"msg": "Invalid task_id",
"data": {},
"ts": 1699335116000,
"time": "2023-11-07T05:31:56Z",
"traceId": "b4bb01c1b2b14f11a6a2d7c1c8b0e3a1"
}
{
"code": 123,
"msg": "Invalid task_id",
"data": {},
"ts": 1699335116000,
"time": "2023-11-07T05:31:56Z",
"traceId": "b4bb01c1b2b14f11a6a2d7c1c8b0e3a1"
}

Authorizations

Authorization
string
header
required

Send your API key in the Authorization header as Bearer <API_KEY>.

Query Parameters

page
integer

Page number to retrieve (starts at 1).

Required range: x >= 1
limit
integer

Number of workflows per page (max 500).

Required range: 1 <= x <= 500

Response

OK

Paginated response containing items and metadata.

page
integer<int32>

Current page number.

Example:

1

limit
integer<int32>

Number of items per page.

Example:

20

items
object[]

Items for the current page.

total_pages
integer<int32>

Total number of pages available.

Example:

5

total_count
integer<int32>

Total number of items.

Example:

87